%define major 0
%define libname %mklibname freebob %major

Name: 	 	libfreebob
Summary: 	Library for BeBoB audio devices
Version: 	1.0.11
Release: 	%mkrel 2
License:	GPL
Group:		Sound
URL:		http://freebob.sourceforge.net/
Source:		%{name}-%{version}.tar.gz
Patch0:		libfreebob-1.0.7-gcc43.diff
BuildRequires:	libalsa-devel >= 1.0.0
BuildRequires:	libavc1394-devel >= 0.5.3
BuildRequires:	libiec61883-devel >= 1.1.0
BuildRequires:	libraw1394-devel >= 1.2.1
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This library provides access to BeBoB devices from the Freebob project.

%package -n 	%{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries
Provides:	%name
Obsoletes:	%name = %version-%release

%description -n %{libname}
Dynamic libraries from %name.

%package -n 	%{libname}-devel
Summary: 	Header files and static libraries from %name
Group: 		Development/C
Requires: 	%{libname} >= %{version}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes: 	%name-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%patch0 -p1

%build
rm -f configure
libtoolize --copy --force; aclocal; autoconf

%configure2_5x

%make
										
%install
rm -rf %{buildroot}

%makeinstall

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc



%changelog
* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.11-2mdv2010.0
+ Revision: 415603
- Improve gcc43 compilation patch so that it works for gcc4.4 too

* Fri Aug 15 2008 Austin Acton <austin@mandriva.org> 1.0.11-1mdv2009.0
+ Revision: 272281
- new version

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.7-3mdv2009.0
+ Revision: 264784
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 23 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2009.0
+ Revision: 210390
- bump release
- fix build
- 1.0.7
- sync with fedora
- nuke rpath

* Sun Jan 13 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.3-2mdv2008.1
+ Revision: 150560
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 15 2007 Austin Acton <austin@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 27047
- new version


* Fri Dec 08 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.0-1mdv2007.0
+ Revision: 93874
- New version 1.0.0
- Import libfreebob

